Skip to main content
Get a single payment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required
Required range: x > 0
Example:

1

Response

200 - application/json

Object with payment data.

id
integer
required

Payment id

Required range: x > 0
Example:

1

paymentNumber
string
required

Payment number

Example:

"RCPT-0001"

amount
number | null
required

Total payment amount. 0 for credit allocation

Example:

193.99

patientId
integer
required

The payment patient id

Required range: x > 0
Example:

1

locationId
integer
required

The payment location id

Required range: x > 0
Example:

1

paymentMethodId
integer | null
required

The payment method id, null for credit allocation

Required range: x > 0
Example:

1

paymentDate
required

Payment date

Example:

"2023-07-30T09:00:00.000Z"

paymentInvoices
object[]
required

Payments made to invoices

creditAllocations
object[]
required

Credit allocated to invoices

Example:
xeroId
string<uuid> | null
required

Xero batch payment id

archivedAt
required

Payment archive date time

Example:

null

archived
boolean | null
default:false

Whether the payment has been archived